net.i2p.sam

## Class SAMStreamSession.SAMv1StreamSessionSocketReader

- java.lang.Object
- - net.i2p.sam.SAMStreamSession.SAMStreamSessionSocketReader
  - - net.i2p.sam.SAMStreamSession.SAMv1StreamSessionSocketReader

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SAMv2StreamSession.SAMv2StreamSessionSocketReader

Enclosing class:
  SAMStreamSession

    public class SAMStreamSession.SAMv1StreamSessionSocketReader
    extends SAMStreamSession.SAMStreamSessionSocketReader

### Field Summary

### Fields inherited from class net.i2p.sam.SAMStreamSession.SAMStreamSessionSocketReader

`i2pSocket, id, runningLock, stillRunning`

### Constructor Summary

Constructors
Constructor and Description
`SAMStreamSession.SAMv1StreamSessionSocketReader(I2PSocket s, int id)` Create a new SAM STREAM session socket reader

### Method Summary

Methods
`void` `run()`
`void` `stopRunning()` Stop a SAM STREAM session socket reader thead immediately.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAMStreamSession.SAMv1StreamSessionSocketReader

    public SAMStreamSession.SAMv1StreamSessionSocketReader(I2PSocket s,
                                                   int id)
                                                    throws IOException

Create a new SAM STREAM session socket reader

Parameters:
  `s` - Socket to be handled
  `id` - Unique id assigned to the handler
Throws:
  `IOException`

### Method Detail

#### stopRunning

    public void stopRunning()

Stop a SAM STREAM session socket reader thead immediately.

Overrides:
  `stopRunning` in class `SAMStreamSession.SAMStreamSessionSocketReader`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `SAMStreamSession.SAMStreamSessionSocketReader`